CREATE PROCEDURE [dbo].[SP_DAILY_ORDER_NON_REGULAR_REPORT_TXT]
 @ManifestNo AS VARCHAR(20),
 @OrdDate AS VARCHAR(20),
 @Supplier0 AS VARCHAR(20),
 @Supplier1 AS VARCHAR(20)
 AS
 DECLARE  @SYSTEM_VALUE_KRW VARCHAR(100)
 SELECT @SYSTEM_VALUE_KRW=[SYSTEM_VALUE] FROM [dbo].[TB_M_SYSTEM] WHERE [FUNCTION_ID]='DOCK_PACKING_KRW' AND [SYSTEM_CD]='DAILY_ORDER'
 CREATE TABLE #tmpSplitStringDock_KRW
	( 
		column1 VARCHAR(MAX)
	)

	INSERT  INTO #tmpSplitStringDock_KRW(column1)
	EXEC dbo.SplitString @SYSTEM_VALUE_KRW, ''


SELECT m.MANIFEST_NO
    ,s.SUPPLIER_CODE
    ,s.SUPPLIER_PLANT_CD
    ,SHIPPING_DOCK=case when REPLACE(m.SHIPPING_DOCK,' ','') <> '' then m.SHIPPING_DOCK else '' end
    ,m.COMPANY_CD
    ,p.RCV_PLANT_CD
    ,p.DOCK_CD
    ,m.ORDER_NO
    ,CAR_FAMILY_CD=case when REPLACE(m.CAR_FAMILY_CD,' ','') <> '' then m.CAR_FAMILY_CD else '' end
    ,RE_EXPORT_CD=case when REPLACE(m.RE_EXPORT_CD,' ','') <> '' then m.RE_EXPORT_CD else '' end
    ,p.PART_NO
    ,p.KANBAN_PRINT_ADDRESS
    ,m.ORDER_TYPE
    ,ORDER_RELEASE_DT=CONVERT(VARCHAR(23), m.ORDER_RELEASE_DT, 121)
    ,p.KANBAN_NO
    ,p.QTY_PER_CONTAINER
    ,p.ORDER_QTY
    ,p.ORDER_PLAN_QTY_LOT
    ,p.BUILD_OUT_FLAG
    ,p.BUILD_OUT_QTY
    ,p.AICO_CEPT_FLAG
    ,p.SUPPLIER_NAME
    ,p.PART_NAME
    ,p.ORDER_MODE
    ,SHIPPING_DT=CONVERT(VARCHAR(23), m.SHIPPING_DT, 121)
    ,ARRIVAL_DT=CONVERT(VARCHAR(23), m.ARRIVAL_PLAN_DT, 121)
    ,m.P_LANE_CD
    ,m.P_LANE_SEQ
    ,P_LANE_DT=CONVERT(VARCHAR(23), m.P_LANE_DT, 121)
    ,m.SUB_ROUTE_CD
    ,m.SUB_ROUTE_SEQ
    ,SUB_ROUTE_DT=CONVERT(VARCHAR(23), m.SUB_ROUTE_DT, 121)
    ,m.FST_X_DOC_CD
    ,m.FST_X_PLANT_CD
    ,m.FST_X_SHIPPING_DOCK_CD
    ,FST_X_DOCK_ARRIVAL_DT=CONVERT(VARCHAR(23), m.FST_X_DOCK_ARRIVAL_DT, 121)
    ,FST_X_DOCK_DEPART_DT=CONVERT(VARCHAR(23), m.FST_X_DOCK_DEPART_DT, 121)
    ,m.FST_X_DOCK_ROUTE_GRP_CD
    ,m.FST_X_DOCK_SEQ_NO
    ,m.fst_x_route_dt
    ,m.SND_X_DOC_CD
    ,m.SND_X_PLANT_CD
    ,m.SND_X_SHIPPING_DOCK_CD
    ,SND_X_DOCK_ARRIVAL_DT=CONVERT(VARCHAR(23), m.SND_X_DOCK_ARRIVAL_DT, 121)
    ,SND_X_DOCK_DEPART_DT=CONVERT(VARCHAR(23), m.SND_X_DOCK_DEPART_DT, 121)
    ,m.SND_X_DOCK_ROUTE_GRP_CD
    ,m.SND_X_DOCK_SEQ_NO
    ,m.TRD_X_DOC_CD
    ,m.TRD_X_PLANT_CD
    ,m.TRD_X_SHIPPING_DOCK_CD
    ,TRD_X_DOCK_ARRIVAL_DT=CONVERT(VARCHAR(23), m.TRD_X_DOCK_ARRIVAL_DT, 121)
    ,TRD_X_DOCK_DEPART_DT=CONVERT(VARCHAR(23), m.TRD_X_DOCK_DEPART_DT, 121)
    ,m.TRD_X_DOCK_ROUTE_GRP_CD
    ,m.TRD_X_DOCK_SEQ_NO
    ,m.trd_x_route_dt
    ,m.MANIFEST_PRINT_POINT_CD
    ,MANIFEST_PRINT_DATE_PLANT=CONVERT(VARCHAR(23), m.MANIFEST_PRINT_DATE_PLANT, 121)
    ,MANIFEST_PRINT_DATE_LOCAL=CONVERT(VARCHAR(23), m.MANIFEST_PRINT_DATE_LOCAL, 121)
    ,p.KANBAN_PRINT_POINT_CD
    ,KANBAN_PRINT_DATE_PLANT=CONVERT(VARCHAR(23), p.KANBAN_PRINT_DATE_PLANT, 121)
    ,KANBAN_PRINT_DATE_LOCAL=CONVERT(VARCHAR(23), p.KANBAN_PRINT_DATE_LOCAL, 121)
    ,p.CONVEYANCE_ROUTE
    ,FERRY_PORT_ARRIVAL_DT=CONVERT(VARCHAR(23), p.FERRY_PORT_ARRIVAL_DT, 121)
    ,FERRY_PORT_DEPART_DT=CONVERT(VARCHAR(23), p.FERRY_PORT_DEPART_DT, 121)
    ,PRINT_FLAG=CONVERT(INT,ISNULL(m.PRINT_FLAG,0))
    ,PRINT_DATE=CONVERT(VARCHAR(23), m.PRINT_DATE, 121)
    ,RECEIVE_FLAG=CONVERT(INT,ISNULL(m.RECEIVE_FLAG,0))
    ,RECEIVE_DT=CONVERT(VARCHAR(23), m.RECEIVE_DT, 121)
    ,USAGE_FLAG=CONVERT(INT,ISNULL(m.USAGE_FLAG,0))
    ,USAGE_DT=CONVERT(VARCHAR(23), m.USAGE_DT, 121)
    ,DELETION_FLAG=CONVERT(INT,ISNULL(m.DELETION_FLAG,0))
    ,DELETION_DT=CONVERT(VARCHAR(23), m.DELETION_DT, 121)
    ,DROP_STATUS_FLAG=CONVERT(INT,ISNULL(m.DROP_STATUS_FLAG,0))
    ,DROP_STATUS_DT=CONVERT(VARCHAR(23), m.DROP_STATUS_DT, 121)
    ,RECEIVED_QTY=ISNULL(np.RECEIVED_QTY,0)
    ,SAPFlag=CONVERT(INT,ISNULL(m.ICS_FLAG,0))
    ,SAPDate=CONVERT(VARCHAR(23), m.ICS_DT, 121)
    ,m.TOTAL_PAGE
    ,EKBS_FLAG=CONVERT(INT,ISNULL(p.EKBS_FLAG,0))
    ,EKBS_DT=CONVERT(VARCHAR(23), p.EKBS_DT, 121)
    ,m.PAT_DP_FLAG
    ,m.PAT_PL_FLAG
    ,RECEIVE_PLANT_NAME = CASE WHEN P.DOCK_CD IN(select * from #tmpSplitStringDock_KRW) THEN (SELECT SYSTEM_VALUE FROM TB_M_SYSTEM WHERE SYSTEM_CD ='DAILY_ORDER' AND FUNCTION_ID = 'DOCK_PLANT_KRW') ELSE RECEIVE_PLANT_NAME END
    ,p.PACKAGE_TYPE
    ,p.SUPPLIER_INFO1
    ,p.SUPPLIER_INFO2
    ,p.SUPPLIER_INFO3
    ,p.PRINT_CD
    ,p.IMPORTIR_INFO
    ,p.IMPORTIR_INFO2
    ,p.IMPORTIR_INFO3
    ,p.IMPORTIR_INFO4
    ,p.PART_BARCODE
FROM TB_R_DAILY_ORDER_MANIFEST m
INNER JOIN TB_R_DAILY_ORDER_PART p ON p.MANIFEST_NO = m.MANIFEST_NO
INNER JOIN TB_M_SUPPLIER s ON s.SUPPLIER_CODE = m.SUPPLIER_CD AND s.SUPPLIER_PLANT_CD = m.SUPPLIER_PLANT
LEFT JOIN TB_R_PROBLEM_PART np on p.MANIFEST_NO=np.MANIFEST_NO AND p.PART_NO=np.PART_NO
WHERE m.MANIFEST_NO=@ManifestNo AND
    CONVERT(VARCHAR(8),m.CREATED_DT,112) =@OrdDate AND
    m.SUPPLIER_CD =@Supplier0 AND
    m.SUPPLIER_PLANT = @Supplier1
ORDER BY
    m.SUPPLIER_CD
, m.SUPPLIER_PLANT
, ARRIVAL_PLAN_DT

